1.23 crash due to new dashboard ui def? [Solved]

Post Reply
aureo
Posts: 9
Joined: 07 Feb 2013 22:32

1.23 crash due to new dashboard ui def? [Solved]

#1 Post by aureo » 24 Apr 2016 22:03

Hi to all.

First of all let me thank you for your time in reading and/or solving my issue. ;)

After updating the game to 1.23 and updating most of the mods I have and I could find updates of, the game crashes to desktop if I try to access the exterior tuning parts page in the truck configurator.
Then I proceed to investigate the game log and I've found some warning errors I've never encountered before. These errors seem to be related to dashboard ui definitions, more specifically obsolete attributes: name ; p2p_pml ; tooltip

I don't know if the game crashes due to not being able to handle so many warnings or due to some mod that I have that is messing things up badly. I guess I use around 70 mods, between promods, trucks, trailers, skins, accessories, etc. and I will try to locate with a new profile any mod that is bad, but that will take time, and so I leave the game.log and the game.crash here in the between just in case that the crash is related to what I've mention before or if someone finds something in the logs that help me find the issue.

game.crash
http://pastebin.com/raw/t7wQ2m8X

game.log
http://pastebin.com/raw/eiVTTKAJ

Again, thank you for your time and I report here if I find new developments.
Last edited by aureo on 26 Apr 2016 20:12, edited 1 time in total.

jarvik79
Posts: 3529
Joined: 06 Nov 2013 09:01

Re: 1.23 crash due to new dashboard ui def?

#2 Post by jarvik79 » 24 Apr 2016 22:19

Guess what...
aureo wrote:but that will take time
Yep.

Having said that, the errors you're seeing are generally related to mods with the GPS or dashboard, so try those first. I would suspect "ProModz v2.00+ Satellite Map" first.

User avatar
room217au
Posts: 2830
Joined: 17 Jul 2015 01:55
Location: 'Straya

Re: 1.23 crash due to new dashboard ui def?

#3 Post by room217au » 25 Apr 2016 00:45

aureo wrote:After updating the game to 1.23 and updating most of the mods I have and I could find updates of, the game crashes to desktop if I try to access the exterior tuning parts page in the truck configurator.
most ? :)
I would be looking first at mods in your game.log.txt that are reported to have a manifest file missing. This in itself won't crash the game because the game engine will write a manifest automatically, but it does point to the fact that the particular mods showing this warning are out of date.
I'd be then looking at the R2008, the GTM wheel nuts mod (seeing recent changes to wheel construction in ETS2) and all of Jazzycat's mods you have active.
Jazzycat has recently (in the last week) updated his fabulous mods to comply with recent game changes.
aureo wrote:more specifically obsolete attributes: name ; p2p_pml ; tooltip
These three attributes are no longer used. They won't crash your game afaik but you can go through the "ui\dashboard\xxxxxxxxxxxxx.sii" (where xxxxxxx is the name of the file, whatever it may be. It changes for different truck models) and remove (or comment out) those three lines.
You need to do this for every code block, in all of the .sii files in ui\dashboard (there might be multiple files there) for every truck mod you have in your mod folder, active or not.
aureo wrote:I don't know if the game crashes due to not being able to handle so many warnings or due to some mod that I have that is messing things up badly.
"due to some mod" would be my guess. Some of the mods you have are overwriting lesser priority mods, and then in turn those over-writing mods are being partially over-written, it seems, but mods loading after those.
You've got a bit of a minefield going there :)
aureo wrote:game.log
Wow. Just. Wow.
Two wrongs don't make a right, but three lefts.. do.

Atall
Posts: 80
Joined: 06 Feb 2016 20:51

Re: 1.23 crash due to new dashboard ui def?

#4 Post by Atall » 25 Apr 2016 22:42

No offence but you only find that one line out of all this:

Things i'm not sure that might crash your game or that I have never encountered:

Code: Select all

00:00:00.840 : <ERROR> The '*' wildcard must be last character in '1.2*.*'

// Even though, prism shiz in your log never sounds good to me

00:01:53.998 : <ERROR> [sdk] prism::sdk::lookup_channel: SCS_U32_NIL is not valid parameter for array channel 'truck.hshifter.select'
00:01:53.998 : <ERROR> [sdk] prism::sdk::telemetry_register_for_channel: channel 'truck.electric.enabled' index 4294967295 has already callback for type 1
00:01:53.998 : <ERROR> [sdk] prism::sdk::lookup_channel: channel 'truck.adblue.consumption.average' not found
00:01:53.998 : <ERROR> [sdk] prism::sdk::telemetry_register_for_channel: type 1 is not supported by channel 'truck.cruise_control' index 4294967295
00:06:21.347 : <ERROR> Company item without company assignment! (6502.17 17.4102 -26031)
Things that never crashed my game:

Code: Select all

00:06:21.886 : <ERROR> [fs] Failed to open file "/def/vehicle/f_rim/gtm_rim.sii" in the read_only mode
00:06:21.886 : <ERROR> load_unit() - Failed to open file (/def/vehicle/f_rim/gtm_rim.sii)
00:06:21.886 : <ERROR> Missing accessory (/def/vehicle/f_rim/gtm_rim.sii) replaced by (/def/vehicle/f_rim/steel.sii).
00:06:21.887 : <ERROR> [fs] Failed to open file "/def/vehicle/r_rim/gtm_rim.sii" in the read_only mode
00:06:21.887 : <ERROR> load_unit() - Failed to open file (/def/vehicle/r_rim/gtm_rim.sii)
00:06:21.887 : <ERROR> Missing accessory (/def/vehicle/r_rim/gtm_rim.sii) replaced by (/def/vehicle/r_rim/steel.sii).
00:06:21.889 : <ERROR> Missing accessory (/def/vehicle/f_rim/gtm_rim.sii) replaced by (/def/vehicle/f_rim/steel.sii).
00:06:21.889 : <ERROR> Missing accessory (/def/vehicle/r_rim/gtm_rim.sii) replaced by (/def/vehicle/r_rim/steel.sii).
Things that always crashed it:

Code: Select all

00:13:36.507 : <ERROR> e:\build_bot\win_slave\final_build_ets2_123_windows_bin_steam_x64\build\prism\src\p3core\collections/arrays/arrays_base_impl.h(477): ??A?$array_t@Vtoken_t@prism@@@prism@@QEBAAEBVtoken_t@1@_K@Z: Index outside array boundaries.
Again, "out of array boundaries" ... That's really bad ... the game tried to access memory that's not assigned (aka accessible) to the game. If it didnt crash there it might have crashed whatever it tried to edit.

What can cause that last error? Map mods have done for me before... or faulty programming. If you use promods, make sure you have the latest fix. The same counts for RUSmap if you use it. Since nobody else is posting that error massively it's doubtfull SCS made some faulty programming mistake :p

I think in your case it will be those SDK errors. Sounds like its adding an item in an array of unsuported datatype etc.

Sometimes you need to diagnose the problem... Does it happen when the game starts up? Probably a mod thats giving troubles... Is it in the middle of driving? It could be AI traffic or the map... Does it happen in the store? Tuning mod.

Sure you have 70 mods, but start with disabling things that you know you didn't update, or didn't find an update for. After that you can still eliminate things that you did see in the log files, things you can miss, things you think it might be... Or just everything.

Sometimes You just empty your mod list (or create a new profile) and add stuff one by one, first promods then other map compartments, then trailers, then tuning, etc etc. I would recomment if it's AI related that you drive around a little first. Checking your log between every step doesn't hurt either. Sure, it takes much time... But in the end you will notice errors and know what to look for in your logs.


PS: The limits before your logs get trunkated are (if i remember right) over 20k lines. And warnings... Well... Somehow I got tons of errors about DLC that's missing even though they're enabled... That only makes the log get to its treshhold, I guess that treshhold is also there to not let the game crash from writing to the log. Not to mention that if you're having 13k lines of logging you probably have enough to investigate and fix before you should read further then that :D

The p2p_pml and tooltip errors never crashed my game before :p They are represented in my log aswell.
Last edited by Atall on 26 Apr 2016 09:02, edited 1 time in total.

User avatar
Reinhard
Posts: 4981
Joined: 20 Dec 2012 16:46
Location: Nimby, District of Berlin

Re: 1.23 crash due to new dashboard ui def?

#5 Post by Reinhard » 26 Apr 2016 06:04

Atall wrote: The p2p_pml and tooltip errors never crashed my game before :p They are represented in my log aswell.
From the 1.23 modding guide:

Code: Select all

To silence warnings in UI units/defs, remove following obsolete attributes from your modded UI scripts: child_nameless, p2p_pml, name, tooltip.
You can simply delete any of such line. Or comment it out, at least for the names, because these can give hint what a section is about.

aureo
Posts: 9
Joined: 07 Feb 2013 22:32

Re: 1.23 crash due to new dashboard ui def?

#6 Post by aureo » 26 Apr 2016 20:11

Thank you all for the input and help provided. ;)

I guess I've found the culprit. It was a mod that changes the menu and workshop background. That mod had outdated pin_group attributes related to the new wheel format in the truck_config_scene file. I've corrected it and it didn't crashed so far. :)

I've also corrected the dashboard ui files to remove those obsolete attributes and I will pay attention to new warning or error lines to see if I've missed something. The SDK errors are due to a telemetry plugin that is outdated. Must fix that, although it doesn't worry me much.

Time to find and update the remaining mods and manifests, and enjoy the new update. :D

Again, THANK YOU all for the help :) ;)

User avatar
Axel Slingerland
Posts: 9035
Joined: 22 Oct 2013 07:55
Location: The Lost Coast

Re: 1.23 crash due to new dashboard ui def?

#7 Post by Axel Slingerland » 26 Apr 2016 22:41

room217au wrote:I would be looking first at mods in your game.log.txt that are reported to have a manifest file missing. This in itself won't crash the game because the game engine will write a manifest automatically, but it does point to the fact that the particular mods showing this warning are out of date.
Not necessarily. All that means is that there is no manifest file present in the mod. Some people don't like them for some weird reason, and don't put them in their mods.
You can call me Ax

Image

Post Reply

Return to “Technical Problems”

Who is online

Users browsing this forum: No registered users and 5 guests